[Deprecated]: v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/shipments/{shipmentId}/eligible-kits
Deprecated: Searches for kits by kit type or shipment details. Rights: OrsInventoryGet, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
shipmentId(required): string(uuid)
ID of the shipment.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
-
kitTypeId(required): string(uuid)
ID of the kit type.Example:
B1B8327AFAA6412287106192AB5984EF -
limit: string
Maximum number of records to display per page.Default Value:
100Example:100 -
offset: string
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Default Value:
0Example:0 -
searchString(required): string
Search string.Example:
KIT-
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ShipmentEligibleKitsResponse v1.0
Type:
objectTitle:
ShipmentEligibleKitsResponse v1.0Response object containing kits belonging to shipment.
Show Source
-
count: integer
(int64)
Total count of result
-
hasMore: boolean
Attribute describes if result set has more recordsExample:
true -
kits: array
kits
-
limit: integer
(int64)
Maximum number of records to display per page.
-
links: array
links
-
offset: integer
(int64)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
400 -
shipmentId: string
(uuid)
Shipment ID.
-
totalResults: integer
(int64)
Total number of entities in response
Nested Schema : kits
Type:
Show Source
array-
Array of:
object ShipmentEligibleKitTO v1.0
Title:
ShipmentEligibleKitTO v1.0Contains kit details belonging to shipment.
Nested Schema : ShipmentEligibleKitTO v1.0
Type:
objectTitle:
ShipmentEligibleKitTO v1.0Contains kit details belonging to shipment.
Show Source
-
expirationDate: string
(date-time)
Expiration date.Example:
2025-05-09T00:00:00Z -
id: string
(uuid)
Inventory ID.
-
kitNumber: number
(double)
Kit/Lot number.Example:
5 -
kitTypeName: string
Kit type name.Example:
Kit A -
sequenceNumber: number
(double)
Sequence number.Example:
5
Example:
{
"kitId":"B1B8327AFAA6412287106192AB5984EF",
"kitNumber":"KIT-000123"
}Nested Schema : RelLink
Type:
objectObject contains link detail.
Show Source
-
href: string
Realtive URL
-
rel: string
link
Examples
404 Response
'Invalid study ID', 'Study still in design phase' or 'Invalid shipment ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples